#!/bin/bash
set -e

# Apply configuration to multiple objects at once, e.g., enable admin state
dpbuddy updateConfig -objects "XMLFire.*,WSG.*" -updates "mAdminState: enabled"
# Any configuration could be updated, HOCON properties should match exported XML
dpbuddy updateConfig -objects "XMLFire.*" -updates 'DoHostRewrite:on, Priority: normal, HTTPCompression: off, UserSummary: "my change"'
# update Web service proxy back-end
dpbuddy updateConfig -objects WSEndpointRewritePolicy -updates  'WSEndpointRemoteRewriteRule:[{ServicePortMatchRegexp: "{http://personservice}PersonService$"}, {RemoteEndpointProtocol: http}, {RemoteEndpointHostname:foo1}, {RemoteEndpointPort:3040}, {RemoteEndpointURI:null},{RemoteMQQM:null},{RemoteTibcoEMS:null},{RemoteWebSphereJMS:null}]'
# Apply configuration residing in "modify-lbg.xml"
# This file could reference variables defined in DPBuddy configuraiton file
dpbuddy modifyConfig -file dpconfigs/modify-lbg.xml

# save configuration of all domains
dpbuddy saveAll
